#version 330 core

// in vec3 tex_coord;

// out vec4 final_col;

// uniform samplerCube skybox;

// void main() {
// 	// final_col = texture(skybox, tex_coord);
// 	final_col = vec4(0, 0, 0, 1);
// }

in vec3 tex_coords;

out vec4 final_col;

uniform samplerCube tex;

void main() {
	final_col = texture(tex, tex_coords);
	// final_col = vec4(1, 0, 1, 1);
}
